#import <Cocoa/Cocoa.h>
#import <QuickTime/ImageCompression.h>
#import <QuickTime/QuickTimeComponents.h>

#import "XeeImage.h"

@class XeeBitmapImage;

@interface XeeQuicktimeImage:XeeMultiImage
{
	GraphicsImportComponent gi;

	int nextindex;
}

-(id)initWithFile:(NSString *)name firstBlock:(NSData *)block attributes:(NSDictionary *)attributes;

-(void)load;
-(void)loadThumbnail;
-(void)loadFromIndex:(int)startindex count:(int)count;

-(XeeBitmapImage *)finalSubImage;

+(void)load;
+(NSArray *)fileTypes;

@end
